Package org.w3._1999.xhtml

# Class Html

java.lang.Object
org.w3._1999.xhtml.Html

public class Html extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element ref="{http://www.w3.org/1999/xhtml}head"/> <element ref="{http://www.w3.org/1999/xhtml}body"/> </sequence> <attGroup ref="{http://www.w3.org/1999/xhtml}i18n"/> <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Body`
  `body`
  `protected String`
  `dir`
  `protected Head`
  `head`
  content model is "head.misc" combined with a single title and an optional base element in any order
  `protected String`
  `id`
  `protected String`
  `lang`
  `protected String`
  `xmlLang`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Html()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Body`
  `getBody()`
  Gets the value of the body property.
  `String`
  `getDir()`
  Gets the value of the dir property.
  `Head`
  `getHead()`
  content model is "head.misc" combined with a single title and an optional base element in any order
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLang()`
  Gets the value of the lang property.
  `String`
  `getXmlLang()`
  Gets the value of the xmlLang property.
  `void`
  `setBody(Body value)`
  Sets the value of the body property.
  `void`
  `setDir(String value)`
  Sets the value of the dir property.
  `void`
  `setHead(Head value)`
  Sets the value of the head property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setXmlLang(String value)`
  Sets the value of the xmlLang property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### head

    protected Head head
    content model is "head.misc" combined with a single title and an optional base element in any order

  - ### body

    protected Body body

  - ### id

    protected String id

  - ### lang

    protected String lang

  - ### xmlLang

    protected String xmlLang

  - ### dir

    protected String dir

- ## Constructor Details

  - ### Html

    public Html()

- ## Method Details

  - ### getHead

    public Head getHead()
    content model is "head.misc" combined with a single title and an optional base element in any order
    Returns:
      possible object is `Head`

  - ### setHead

    public void setHead(Head value)
    Sets the value of the head property.
    Parameters:
      `value` - allowed object is `Head`
    See Also:
      - `getHead()`

  - ### getBody

    public Body getBody()
    Gets the value of the body property.
    Returns:
      possible object is `Body`

  - ### setBody

    public void setBody(Body value)
    Sets the value of the body property.
    Parameters:
      `value` - allowed object is `Body`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public String getLang()
    Gets the value of the lang property.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getXmlLang

    public String getXmlLang()
    Gets the value of the xmlLang property.
    Returns:
      possible object is `String`

  - ### setXmlLang

    public void setXmlLang(String value)
    Sets the value of the xmlLang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDir

    public String getDir()
    Gets the value of the dir property.
    Returns:
      possible object is `String`

  - ### setDir

    public void setDir(String value)
    Sets the value of the dir property.
    Parameters:
      `value` - allowed object is `String`